org.ajax4jsf.renderkit

## Class AjaxBehaviorRenderer

- java.lang.Object
- - javax.faces.render.ClientBehaviorRenderer
  - - org.ajax4jsf.renderkit.AjaxBehaviorRenderer

-     public class AjaxBehaviorRenderer
      extends javax.faces.render.ClientBehaviorRenderer

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxBehaviorRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `buildAjaxCommand(javax.faces.component.behavior.ClientBehaviorContext bContext, AjaxBehavior behavior)`
    `AjaxFunction` | `buildAjaxFunction(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, AjaxClientBehavior behavior)`
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.component.behavior.ClientBehavior behavior)`
    `String` | `getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, javax.faces.component.behavior.ClientBehavior behavior)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxBehaviorRenderer

          public AjaxBehaviorRenderer()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                    javax.faces.component.UIComponent component,
                    javax.faces.component.behavior.ClientBehavior behavior)

      Overrides:
        `decode` in class `javax.faces.render.ClientBehaviorRenderer`

    - #### getScript

          public String getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext,
                         javax.faces.component.behavior.ClientBehavior behavior)

      Overrides:
        `getScript` in class `javax.faces.render.ClientBehaviorRenderer`

    - #### buildAjaxCommand

          public String buildAjaxCommand(javax.faces.component.behavior.ClientBehaviorContext bContext,
                                AjaxBehavior behavior)

    - #### buildAjaxFunction

          public AjaxFunction buildAjaxFunction(javax.faces.component.behavior.ClientBehaviorContext behaviorContext,
                                       AjaxClientBehavior behavior)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.